5 6
zssssp
zpsppz
zpppzz
zpzpzz
zzzzzz
32 40
sssssssssssssssssssssssssssssssssssssss
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
ssssspppppssspppppssspppppssspppppsssss
sssssspppssssspppssssspppssssspppssssss
ssssssspssssssspssssssspssssssspsssssss
sssssspppssssspppssssspppssssspppssssss
ssssspppppssspppppssspppppssspppppsssss
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
sssssssssssssssssssssssssssssssssssssss
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
spppppssspppppssspppppssspppppsssppppps
sssssssssssssssssssssssssssssssssssssss
9 5
pyyyy
pyyyy
pyyyy
pyyyy
pssss
pssss
ppzzz
zppzz
zzzzz
8 12
ppppppppppps
ssspzzzzssss
ssspzzzzppss
pppypppzppss
pppppppzppss
yyyyyyyyyyyy
yyyyyyyyyyyy
pppppppppppp
0 0
